System.Gadget.onSettingsClosing = SettingsClosing;
var NetLib;
var interfaceCount=0;

function onLoad()
{
    debugLog("### LOAD SETTINGS ###");
    debugLog("GetLibrary (Settings)");
    NetLib = GetLibrary();
    initSettings();
}

function onUnload()
{
    debugLog("### UNLOAD SETTINGS ###");
}

function SettingsClosing(event)
{
	debugLog("SettingsClosing:" + event);
	if (event.closeAction == event.Action.commit) 
		saveSettings();
	event.cancel = false;
}

function initSettings()
{
    debugLog("initSettings");

    fillInterfaceCombo();
    loadSettings();
}

function loadSettings()
{
    debugLog("loadSettings");
    
    
    debugLog("loadSettings:background->"+ System.Gadget.Settings.read("background"));
    background.value = System.Gadget.Settings.read("background");
}

function saveSettings()
{
    debugLog("saveSettings");
    
    
    debugLog("saveSettings:background->"+ background.value); 
    System.Gadget.Settings.write("background", background.value);

}

function fillInterfaceCombo()
{
    debugLog("fillInterfaceCombo");
    try 
    {
        for (var i = 0;i < interfaceCount; i++)
        {
            Interface.options[Interface.length] = new Option(i + ": " + System.Gadget.document.parentWindow.NetLib.Description(i), i);
        }
    }
	catch(err) 
	{
	    debugLog("fillInterfaceCombo: "+err.name+" - "+err.message)
	}
}